<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Port Home</title>
</head>
<body>
    <h1>Port Homepage</h1>
    <div th:each="ship : ${shipList}">
        <a th:href="@{/ship-detail(shipId=${ship.id})}">
            <h3 th:text="${ship.name} + ' (' + ${ship.buildYear} + ')'"></h3>
        </a>
    </div>
    <a th:href="@{/new-ship-form}">Add Ship</a>
    <a th:if="${not #lists.isEmpty(shipList)}" th:href="@{new-crewmate-form}">Add Crewmate</a>
</body>
</html>